Bug 200716 - [MAINTAINER] sysutils/lsof: add LICENSE* entries (portlint)
Summary: [MAINTAINER] sysutils/lsof: add LICENSE* entries (portlint)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-06-08 20:32 UTC by Larry Rosenman
Modified: 2015-06-16 17:26 UTC (History)
3 users (show)

See Also:
ler: maintainer-feedback+


Attachments
License Patch (2.04 KB, patch)
2015-06-08 20:32 UTC, Larry Rosenman
koobs: maintainer-approval+
Details | Diff
Portlint approved patch (2.04 KB, patch)
2015-06-10 12:30 UTC, Larry Rosenman
no flags Details | Diff
portlint output (183 bytes, text/plain)
2015-06-10 12:31 UTC, Larry Rosenman
no flags Details
pordriere output (29.83 KB, text/plain)
2015-06-10 12:31 UTC, Larry Rosenman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2015-06-08 20:32:53 UTC
Created attachment 157547 [details]
License Patch

Add LICENSE_* to the Makefile to pet Portlint
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-10 02:31:11 UTC
Hi Larry, thanks for your submission.

Can you include QA results (portlint -AC, poudriere testport) as attachments please
Comment 2 Larry Rosenman freebsd_committer 2015-06-10 12:30:30 UTC
Created attachment 157608 [details]
Portlint approved patch
Comment 3 Larry Rosenman freebsd_committer 2015-06-10 12:31:00 UTC
Created attachment 157609 [details]
portlint output
Comment 4 Larry Rosenman freebsd_committer 2015-06-10 12:31:24 UTC
Created attachment 157610 [details]
pordriere output
Comment 5 Larry Rosenman freebsd_committer 2015-06-10 12:32:11 UTC
one issue from portlint -AC fixed (tab vs space)
QA output attached.
Comment 6 commit-hook freebsd_committer 2015-06-16 17:25:17 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 16 17:24:53 UTC 2015
New revision: 389855
URL: https://svnweb.freebsd.org/changeset/ports/389855

Log:
  sysutils/lsof: Add LICENSE the fancy way

  PR:		200716
  Submitted by:	Larry Rosenman <ler@lerctr.org> (maintainer)

Changes:
  head/sysutils/lsof/Makefile
Comment 7 Kurt Jaeger freebsd_committer 2015-06-16 17:26:19 UTC
A very fancy way to add a license, for sure 8-)

Committed, thanks.